> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the authenticated caller's account.

> Returns the account the API key or session is authenticated against, including id, name, tier, and billing summary.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/accounts/me
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/accounts/me:
    get:
      tags:
        - accounts
      summary: Get the authenticated caller's account.
      description: >-
        Returns the account the API key or session is authenticated against,
        including id, name, tier, and billing summary.
      operationId: getCurrentAccount
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountView'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Runloop from '@runloop/api-client';

            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });

            const accountView = await client.accounts.me();

            console.log(accountView.id);
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            account_view = client.accounts.me()
            print(account_view.id)
components:
  schemas:
    AccountView:
      type: object
      description: Account information.
      properties:
        id:
          type: string
          description: The account ID.
        name:
          type: string
          description: The account name.
        tier:
          $ref: '#/components/schemas/AccountTier'
          description: The account tier.
        account_status:
          $ref: '#/components/schemas/AccountStatus'
          description: The account status.
        created_at:
          type: string
          description: The account creation timestamp.
        billing:
          $ref: '#/components/schemas/BillingView'
          description: The account billing information.
        stripe_customer_id:
          description: 'Deprecated: use billing.stripe.customer_id.'
          type:
            - string
            - 'null'
        active_subscription:
          description: 'Deprecated: use billing.stripe.active_subscription.'
          type:
            - string
            - 'null'
        account_billing_type:
          $ref: '#/components/schemas/AccountBillingType'
          description: 'Deprecated: use billing.account_billing_type.'
        external_billing_account_id:
          description: 'Deprecated: use billing.aws.customer_identifier.'
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - tier
        - account_status
        - created_at
        - billing
    AccountTier:
      type: string
      enum:
        - ACCOUNT_TIER_INVALID
        - ACCOUNT_TIER_BASIC
        - ACCOUNT_TIER_PRO
        - ACCOUNT_TIER_ENTERPRISE
        - ACCOUNT_TIER_TRIAL
        - UNRECOGNIZED
    AccountStatus:
      type: string
      enum:
        - ACCOUNT_STATUS_INVALID
        - ACCOUNT_STATUS_ONBOARDING
        - ACCOUNT_STATUS_ENABLED
        - ACCOUNT_STATUS_DISABLED_BY_ADMIN
        - ACCOUNT_STATUS_DISABLED_QUOTA_REACHED
        - ACCOUNT_STATUS_TRIAL_CANCELLED
        - ACCOUNT_STATUS_STRIPE_PENDING_RESOURCES
        - UNRECOGNIZED
    BillingView:
      type: object
      description: Account billing information.
      properties:
        account_billing_type:
          $ref: '#/components/schemas/AccountBillingType'
          description: The account billing type.
        stripe:
          description: Stripe billing information, when the account is billed via Stripe.
          anyOf:
            - $ref: '#/components/schemas/StripeBillingInfo'
            - type: 'null'
        aws:
          description: >-
            AWS Marketplace billing information, when the account is billed via
            AWS.
          anyOf:
            - $ref: '#/components/schemas/AwsBillingInfo'
            - type: 'null'
        stripe_customer_id:
          description: 'Deprecated: use stripe.customer_id.'
          type:
            - string
            - 'null'
      required:
        - account_billing_type
    AccountBillingType:
      type: string
      enum:
        - STRIPE
        - AWS_MARKETPLACE
        - STRIPE_PROJECTS
        - UNRECOGNIZED
    StripeBillingInfo:
      type: object
      description: Stripe billing information.
      properties:
        customer_id:
          description: The Stripe customer ID.
          type:
            - string
            - 'null'
        active_subscription:
          description: The active Stripe subscription ID.
          type:
            - string
            - 'null'
    AwsBillingInfo:
      type: object
      description: AWS Marketplace billing information.
      properties:
        customer_identifier:
          description: The AWS account ID used for Marketplace billing (12-digit).
          type:
            - string
            - 'null'
        license_arn:
          description: The AWS Marketplace license ARN.
          type:
            - string
            - 'null'
        subscription_status:
          description: The AWS Marketplace subscription status.
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````